# Poco

# class Notification

Library: Foundation
Package: Notifications
Header: Poco/Notification.h

## Description

The base class for all notification classes used with the NotificationCenter and the NotificationQueue classes. The Notification class can be used with the AutoPtr template class.

## Inheritance

Direct Base Classes: RefCountedObject

All Base Classes: RefCountedObject

Known Derived Classes: TaskNotification, TaskCancelledNotification, TaskFinishedNotification, TaskFailedNotification, TaskProgressNotification, TaskStartedNotification, TaskCustomNotification, Poco::Net::ReadableNotification, Poco::Net::WritableNotification, Poco::Net::ErrorNotification, Poco::Net::TimeoutNotification, Poco::Net::SocketNotification, Poco::Net::IdleNotification, Poco::Net::ShutdownNotification

## Member Summary

Member Functions: name

Inherited Functions: duplicate, referenceCount, release

## Types

### Ptr

typedef AutoPtr < Notification > Ptr;

## Constructors

### Notification

Notification();

Creates the notification.

## Destructor

### ~Notification

virtual ~Notification();

## Member Functions

### name

virtual std::string name() const;

Returns the name of the notification. The default implementation returns the class name.